## seqtk 1.0

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -O2

seqtk:seqtk.c khash.h kseq.h
		$(CC) $(CFLAGS) seqtk.c -o $@ -lz -lm

clean:
		rm -fr gmon.out *.o ext/*.o a.out seqtk *~ *.a *.dSYM session*

=== debian/changelog ===
seqtk (1.0-1) unstable; urgency=low

  * Initial release (Closes: #737314)

 -- Andreas Tille <tille@debian.org>  Sat, 01 Feb 2014 13:50:28 +0100

=== debian/control ===
Source: seqtk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Brad Chapman <chapmanb@50mail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/seqtk.git
Vcs-Git: git://anonscm.debian.org/debian-med/seqtk.git
Homepage: https://github.com/lh3/seqtk

Package: seqtk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Fast and lightweight tool for processing sequences in the FASTA or FASTQ format
 Currently, seqtk supports quality based trimming with the phred
 algorithm, converting fastq to fasta, reverse complementing sequences,
 extracting or masking subsequences in regions given in a BED/name list
 file, and more.  It contains a subsampling module to sample exactly n
 sequences or a fraction of sequences.
 .
 Seqtk supports both fasta and fastq input files, which can be
 optionally gzip compressed.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@

createmanpage:
	help2man --no-info --help-option=" " --no-discard-stderr \
         --name='sampling, trimming, fastq2fasta, subsequence, reverse complement' \
            --version-string="1.0" seqtk > seqtk.1

=== debian/watch ===
version=3
https://github.com/lh3/seqtk/releases .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## seqtk 1.2

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -O2 -Wno-unused-function

all:seqtk

seqtk:seqtk.c khash.h kseq.h
		$(CC) $(CFLAGS) seqtk.c -o $@ -lz -lm

clean:
		rm -fr gmon.out *.o ext/*.o a.out seqtk trimadap *~ *.a *.dSYM session*

=== debian/changelog ===
seqtk (1.2-2) unstable; urgency=medium

  * Team upload.

  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite

  [ Andreas Tille ]
  * Standards-Version: 4.0.0 (no changes needed)
  * debhelper 10

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Tue, 11 Jul 2017 23:50:21 -0400

seqtk (1.2-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * cme fix dpkg-control
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Mon, 30 May 2016 10:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: seqtk
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Brad Chapman <chapmanb@50mail.com>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Brad Chapman <chapmanb@50mail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                zlib1g-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/seqtk.git
-Vcs-Git: git://anonscm.debian.org/debian-med/seqtk.git
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seqtk.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/seqtk.git
 Homepage: https://github.com/lh3/seqtk
 
 Package: seqtk

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## seqtk 1.3

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -O2 -Wno-unused-function
BINDIR=/usr/local/bin

all:seqtk

seqtk:seqtk.c khash.h kseq.h
		$(CC) $(CFLAGS) seqtk.c -o $@ -lz -lm

install:all
		install seqtk $(BINDIR)

clean:
		rm -fr gmon.out *.o ext/*.o a.out seqtk trimadap *~ *.a *.dSYM session*

=== debian/changelog ===
seqtk (1.3-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2020 10:10:32 +0100

seqtk (1.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 20 Sep 2018 21:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
            Brad Chapman <chapmanb@50mail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seqtk.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/seqtk.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/seqtk
+Vcs-Git: https://salsa.debian.org/med-team/seqtk.git
 Homepage: https://github.com/lh3/seqtk
+Rules-Requires-Root: no
 
 Package: seqtk
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 	help2man --no-info --help-option=" " --no-discard-stderr \
          --name='sampling, trimming, fastq2fasta, subsequence, reverse complement' \
             --version-string="1.0" seqtk > seqtk.1
+
+override_dh_auto_install:
+	echo "Ignore broken Makefile"

=== debian/watch ===
version=4
https://github.com/lh3/seqtk/releases .*/v(\d[\d.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## seqtk 1.4

=== debian/changelog ===
seqtk (1.4-2) unstable; urgency=medium

  * Team upload.
  * d/patches/hardening.patch: Fix blhc in pipeline by adding CPPFLAGS

 -- Lance Lin <lq27267@gmail.com>  Thu, 09 Nov 2023 20:17:13 +0700

seqtk (1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 21:33:35 +0100

seqtk (1.3-4) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 20:58:41 +0100

seqtk (1.3-3) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Pass default CFLAGS to dh_auto_build.
    Closes: #1020753

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 09:56:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/seqtk
 Vcs-Git: https://salsa.debian.org/med-team/seqtk.git
 Homepage: https://github.com/lh3/seqtk

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 
 override_dh_auto_install:
 	echo "Ignore broken Makefile"
+
+override_dh_auto_build:
+	dh_auto_build -- CFLAGS="$(CFLAGS)"

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/lh3/seqtk/tags .*/v(\d[\d.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
